- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CoinWarmStartVectorPairDiff< T, U > Class Template Reference

`#include <CoinWarmStartVector.hpp>`

Inheritance diagram for CoinWarmStartVectorPairDiff< T, U >:

[legend]
Collaboration diagram for CoinWarmStartVectorPairDiff< T, U >:

[legend]
List of all members.

## Public Member Functions
| CoinWarmStartVectorPairDiff ()
| CoinWarmStartVectorPairDiff (const CoinWarmStartVectorPairDiff< T, U > &rhs)
| ~CoinWarmStartVectorPairDiff ()
virtual CoinWarmStartVectorPairDiff & | operator= (const CoinWarmStartVectorPairDiff< T, U > &rhs)
virtual CoinWarmStartDiff * | clone () const
| `Virtual constructor'
void | swap (CoinWarmStartVectorPairDiff< T, U > &rhs)
void | clear ()
## Private Attributes
CoinWarmStartVectorDiff< T > | tdiff_
CoinWarmStartVectorDiff< U > | udiff_
## Friends
CoinWarmStartDiff * | CoinWarmStartVectorPair (const CoinWarmStart *const oldCWS) const
void | CoinWarmStartVectorPair (const CoinWarmStartDiff *const diff)

## Detailed Description

### template<typename T, typename U>
class CoinWarmStartVectorPairDiff< T, U >

Definition at line 281 of file CoinWarmStartVector.hpp.

## Constructor & Destructor Documentation

template<typename T, typename U>

CoinWarmStartVectorPairDiff< T, U >::CoinWarmStartVectorPairDiff | ( |  | ) | `[inline]`

Definition at line 293 of file CoinWarmStartVector.hpp.

Referenced by CoinWarmStartVectorPairDiff< T, U >::clone().

template<typename T, typename U>

CoinWarmStartVectorPairDiff< T, U >::CoinWarmStartVectorPairDiff | ( | const CoinWarmStartVectorPairDiff< T, U > & | rhs | ) | `[inline]`

Definition at line 294 of file CoinWarmStartVector.hpp.

template<typename T, typename U>

CoinWarmStartVectorPairDiff< T, U >::~CoinWarmStartVectorPairDiff | ( |  | ) | `[inline]`

Definition at line 296 of file CoinWarmStartVector.hpp.

## Member Function Documentation

template<typename T, typename U>

virtual CoinWarmStartVectorPairDiff& CoinWarmStartVectorPairDiff< T, U >::operator= | ( | const CoinWarmStartVectorPairDiff< T, U > & | rhs | ) | `[inline, virtual]`

Definition at line 299 of file CoinWarmStartVector.hpp.

References CoinWarmStartVectorPairDiff< T, U >::tdiff_, and CoinWarmStartVectorPairDiff< T, U >::udiff_.

template<typename T, typename U>

virtual CoinWarmStartDiff* CoinWarmStartVectorPairDiff< T, U >::clone | ( |  | ) | const`[inline, virtual]`

`Virtual constructor'

Implements CoinWarmStartDiff.

Definition at line 304 of file CoinWarmStartVector.hpp.

References CoinWarmStartVectorPairDiff< T, U >::CoinWarmStartVectorPairDiff().

template<typename T, typename U>

void CoinWarmStartVectorPairDiff< T, U >::swap | ( | CoinWarmStartVectorPairDiff< T, U > & | rhs | ) | `[inline]`

Definition at line 308 of file CoinWarmStartVector.hpp.

References CoinWarmStartVectorDiff< T >::swap(), CoinWarmStartVectorPairDiff< T, U >::tdiff_, and CoinWarmStartVectorPairDiff< T, U >::udiff_.

template<typename T, typename U>

void CoinWarmStartVectorPairDiff< T, U >::clear | ( |  | ) | `[inline]`

Definition at line 313 of file CoinWarmStartVector.hpp.

References CoinWarmStartVectorDiff< T >::clear(), CoinWarmStartVectorPairDiff< T, U >::tdiff_, and CoinWarmStartVectorPairDiff< T, U >::udiff_.

## Friends And Related Function Documentation

template<typename T, typename U>

CoinWarmStartDiff* CoinWarmStartVectorPair | ( | const CoinWarmStart *const | oldCWS | ) | const`[friend]`

template<typename T, typename U>

void CoinWarmStartVectorPair | ( | const CoinWarmStartDiff *const | diff | ) | `[friend]`

## Member Data Documentation

template<typename T, typename U>

CoinWarmStartVectorDiff<T> CoinWarmStartVectorPairDiff< T, U >::tdiff_`[private]`

Definition at line 289 of file CoinWarmStartVector.hpp.

Referenced by CoinWarmStartVectorPairDiff< T, U >::clear(), CoinWarmStartVectorPairDiff< T, U >::operator=(), and CoinWarmStartVectorPairDiff< T, U >::swap().

template<typename T, typename U>

CoinWarmStartVectorDiff<U> CoinWarmStartVectorPairDiff< T, U >::udiff_`[private]`

Definition at line 290 of file CoinWarmStartVector.hpp.

Referenced by CoinWarmStartVectorPairDiff< T, U >::clear(), CoinWarmStartVectorPairDiff< T, U >::operator=(), and CoinWarmStartVectorPairDiff< T, U >::swap().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Cgl-0.55.0/CoinUtils/src/CoinWarmStartVector.hpp